Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsMediaPlaylist.RenditionReport

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.RenditionReport

- Enclosing class:
    HlsMediaPlaylist

      public static final class HlsMediaPlaylist.RenditionReport
      extends Object

  A rendition report for an alternative rendition defined in another media playlist.

  See RFC 8216, section 4.4.5.1.4.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `lastMediaSequence` | The last media sequence that is in the playlist of the reported rendition.
    `int` | `lastPartIndex` | The last part index that is in the playlist of the reported rendition, or `C.INDEX_UNSET` if the rendition does not contain partial segments.
    `Uri` | `playlistUri` | The URI of the media playlist of the reported rendition.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenditionReport​(Uri playlistUri, long lastMediaSequence, int lastPartIndex)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### playlistUri

          public final Uri playlistUri

      The URI of the media playlist of the reported rendition.

    - #### lastMediaSequence

          public final long lastMediaSequence

      The last media sequence that is in the playlist of the reported rendition.

    - #### lastPartIndex

          public final int lastPartIndex

      The last part index that is in the playlist of the reported rendition, or `C.INDEX_UNSET` if the rendition does not contain partial segments.

  - ### Constructor Detail

    - #### RenditionReport

          public RenditionReport​(Uri playlistUri,
                                 long lastMediaSequence,
                                 int lastPartIndex)

      Creates a new instance.
      Parameters:
        `playlistUri` - See `playlistUri`.
        `lastMediaSequence` - See `lastMediaSequence`.
        `lastPartIndex` - See `lastPartIndex`.